/*
 * Example uses two Push Buttons to increase 
 * a counter, and change the state of an LED
 * 
 * Push Buttons -> pin 12 and 11
 * LED -> pin 10
 */

#include "pushButton.h"

#define LED 10

pushButton button1(12);
pushButton button2(11);

void setup() 
{
  pinMode(LED, OUTPUT);
  Serial.begin(9600);
}

void loop() 
{
  static int counter = 0;
  
  if(button1.wasPressed())
    counter++;

  Serial.println(counter);
  
  if(button2.retentionState())
    digitalWrite(LED, HIGH);
  else
    digitalWrite(LED, LOW);

}
